# $Revision: 1.17 $, $Date: 2012/05/17 21:46:45 $
Summary:	Xfce panel timer plugin
Summary(pl.UTF-8):	Wtyczka panelu Xfce odliczająca czas
Name:		xfce4-timer-plugin
Version:	0.6.4
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-timer-plugin/0.6/%{name}-%{version}.tar.bz2
# Source0-md5:	c2f9e113dcda742cd1559129b79f609b
Patch0:		%{name}-libxfce4ui.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-timer-plugin
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple plugin that lets the user run an alarm at a specified
time or at the end of a specified countdown period.

%description -l pl.UTF-8
Wtyczka ta pozwala na powiadamianie o zdefiniowanym wcześniej
zdarzeniu, bądź po upływie określonego odcinka czasu.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-timer
%{_datadir}/xfce4/panel-plugins/xfce4-timer.desktop
%{_iconsdir}/hicolor/*x*/apps/xfce4-timer.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-timer-plugin.spec,v $
Revision 1.17  2012/05/17 21:46:45  baggins
- rel 2
- no ur_PK locale

Revision 1.16  2012/05/17 21:39:53  baggins
- package app icon

Revision 1.15  2012/05/17 21:37:37  baggins
- pt locale fix upstream

Revision 1.14  2012/05/17 20:21:54  baggins
- 0.6.4

Revision 1.13  2011/07/06 12:13:51  lisu
- rel 3

Revision 1.12  2011/07/06 09:15:42  lisu
- fix build with libxfce4ui

Revision 1.11  2011/07/06 07:51:42  lisu
- add only BR: libxfcegui4-devel >= 4.2.0

Revision 1.10  2011/07/06 07:50:26  lisu
- reversed last two commits

Revision 1.9  2011/07/06 07:45:14  lisu
- notice about update in previous commit log

Revision 1.8  2011/07/06 07:38:10  lisu
- updated to 0.6.2
- BR: libxfcegui4-devel >= 4.2.0

Revision 1.7  2011/02/17 11:48:40  megabajt
- release 2

Revision 1.6  2009/03/01 19:45:46  megabajt
- updated to 0.6.1

Revision 1.5  2007/02/13 08:06:44  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.3  2007/01/25 17:04:52  megabajt
- added ac/am/lt
- updated URL

Revision 1.2  2007/01/23 16:06:02  teodor
- xfce4-panel ver. 4.4.0, not 4.0.0

Revision 1.1  2007/01/23 15:54:35  teodor
- init version

